## Contents

- Methods

class solace.CacheRequestResult

This class is not exposed for construction by API users. A CacheRequestResult object is provided on the callback (see solace.CacheCBInfo.cacheRequestCallback when a cache request completes.

An object that indicates the termination of a cache request, and provides details how it concluded.

## Constructor Top

| CacheRequestResult ( ) |  |

## Methods Top

String | getError ( ) |
solace.CacheReturnCode | getReturnCode ( ) |
solace.CacheReturnSubcode | getReturnSubcode ( ) |
solace.Destination | getTopic ( ) |

## Constructor details Top

###
CacheRequestResult ( )

This class is not exposed for construction by API users. A CacheRequestResult object is provided on the callback (see solace.CacheCBInfo.cacheRequestCallback when a cache request completes.

An object that indicates the termination of a cache request, and provides details how it concluded.

## Methods Detail Top

###
public String getError ( )

Gets the error, if any, associated with the returned result.

#### Return Value

String | The error associated with the returned result.

###
public solace.CacheReturnCode getReturnCode ( )

Gets the return code from the cache request result.

#### Return Value

solace.CacheReturnCode | The return code associated with the result of the request.

###
public solace.CacheReturnSubcode getReturnSubcode ( )

Gets the return subcode from the cache request result.

#### Return Value

solace.CacheReturnSubcode | A subcode that gives more detail than CacheRequestResult#getReturnCode about the result of the request.

###
public solace.Destination getTopic ( )

Gets the topic object associated with the cache request.

#### Return Value

solace.Destination | The topic destination supplied for the cache request.